=== debian/changelog ===
sandboxgamemaker (2.7.1+dfsg-2build1) saucy; urgency=low

  * No-change rebuild against latest enet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 16 Jun 2013 11:22:21 -0400

sandboxgamemaker (2.7.1+dfsg-2) unstable; urgency=low

  * debian/patches/gcc4.7.patch
    - fixed FTBFS from gcc 4.7 transition (Closes: #673545)
  * debian/patches/hardening.patch
    - used dpkg-buildflags for Wheezy hardening release goal

 -- Scott Howard <showard@debian.org>  Sun, 10 Jun 2012 01:07:51 -0400

sandboxgamemaker (2.7.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * New logos, taken from sandboxgamemaker.com/wiki (GFDL-1.2)

 -- Scott Howard <showard@debian.org>  Wed, 16 Nov 2011 15:58:55 -0500

sandboxgamemaker (2.7+dfsg-2) unstable; urgency=low

  * Fixed postinst to not install files with ??? in names

 -- Scott Howard <showard@debian.org>  Sun, 16 Oct 2011 01:10:25 -0400
