=== debian/control ===
Source: sandboxgamemaker
Section: contrib/games
Priority: optional
Maintainer: Scott Howard <showard@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev (>= 1.3.1), po-debconf, libwxgtk2.8-dev
Standards-Version: 3.9.3
Homepage: http://sandboxgamemaker.com/
Vcs-Browser: http://git.debian.org/?p=pkg-games/sandboxgamemaker.git
Vcs-git: git://git.debian.org/git/pkg-games/sandboxgamemaker.git

Package: sandboxgamemaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsmpeg0, mikmod, timidity
Description: 3D game maker and 3D game design program
 Platinum Arts Sandbox is an open source, easy-to-use, standalone 3D game
 maker and 3D game design program. It is currently based on the Cube 2
 engine used in schools around the world that allows kids and adults to
 create their own video games, worlds, levels, adventures, and quests,
 even cooperatively. The goal is to make it accessible to kids but also
 powerful enough for full game projects.
 .
 This package contains the client and server binaries.
