=== debian/watch ===
#Upstream uses a javascript to serve the download link, so watchfiles won't work
#visit www.sandboxgamemaker.com for more information
