## sandboxgamemaker 2.8.2+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -41,7 +41,6 @@
 	shared/stream.o \
 	shared/tools.o \
 	shared/zip.o \
-	engine/3dgui.o \
 	engine/bih.o \
 	engine/blend.o \
 	engine/blob.o \
@@ -55,7 +54,6 @@
 	engine/lightmap.o \
 	engine/main.o \
 	engine/material.o \
-	engine/menus.o \
 	engine/movie.o \
 	engine/normal.o	\
 	engine/octa.o \
@@ -90,7 +88,8 @@
 	fpsgame/render.o \
 	fpsgame/scoreboard.o \
 	fpsgame/server.o \
-	fpsgame/waypoint.o
+	fpsgame/waypoint.o \
+	fpsgame/weapon.o
 
 SSPCLIENT_OBJS = \
 	sspgame/ssp.o \
@@ -239,8 +238,8 @@
 	-$(RM) $(SERVER_OBJS) $(FPSSERVER_OBJS) $(MOVIESERVER_OBJS) $(CLIENT_PCH) $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(RPGCLIENT_OBJS) $(FPSCLIENT_OBJS) $(MOVIECLIENT_OBJS) $(KRSCLIENT_OBJS) $(PZLCLIENT_OBJS) $(LAUNCHER_OBJS) $(MASTER_OBJS) $(PLATFORM_PREFIX)_server_* $(PLATFORM_PREFIX)_client_*
 
 %.h.gch: %.h
-	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
-	$(MV) $@.tmp $@
+	$(CXX) $(CXXFLAGS) -o $(subst .h.gch,.tmp.h.gch,$@) $(subst .h.gch,.h,$@)
+	$(MV) $(subst .h.gch,.tmp.h.gch,$@) $@
 
 %-standalone.o: %.cpp
 	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)
@@ -358,23 +357,16 @@
 	$(CXX) $(CXXFLAGS) -c -o $@ $< `freetype-config --cflags`
 
 cube2font: shared/cube2font.o
-	$(CXX) $(CXXFLAGS) -o cube2font shared/cube2font.o `freetype-config --libs` -lz -lpng
+	$(CXX) $(CXXFLAGS) -o cube2font shared/cube2font.o `freetype-config --libs` -lz
 
 depend:
-	makedepend -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst .o,.cpp,$(CLIENT_OBJS))
-	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
-	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
-	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))
-
-engine/engine.h.gch: shared/cube.h.gch
-fpsgame/game.h.gch: shared/cube.h.gch
-
-# DO NOT DELETE
-
-shared/crypto.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
-shared/crypto.o: shared/command.h shared/iengine.h shared/igame.h
-shared/geom.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
-shared/geom.o: shared/command.h shared/iengine.h shared/igame.h
-shared/stream.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
-shared/stream.o: shared/command.h shared/iengine.h shared/igame.h
-shared/tools.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
+	makedepend -Y -Ishared -Iengine $(subst .o,.cpp,$(CLIENT_OBJS))
+	makedepend -a -Y -Ishared -Iengine -Ifpsgame $(subst .o,.cpp,$(FPSCLIENT_OBJS))
+	makedepend -a -Y -Ishared -Iengine -Isspgame $(subst .o,.cpp,$(SSPCLIENT_OBJS))
+	makedepend -a -Y -Ishared -Iengine -Irpggame $(subst .o,.cpp,$(RPGCLIENT_OBJS))
+	makedepend -a -Y -Ishared -Iengine -Ikrsgame $(subst .o,.cpp,$(KRSCLIENT_OBJS))
+	makedepend -a -Y -Ishared -Iengine -Imoviecube $(subst .o,.cpp,$(MOVIECLIENT_OBJS))
+	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame -Irpggame -Isspgame -Imoviecube -Ikrsgame $(subst .h.gch,.h,$(CLIENT_PCH))
+	makedepend -a -o-standalone.o -Y -Ishared -Iengine -DSTANDALONE $(subst -standalone.o,.cpp,$(SERVER_OBJS))
+	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame -DSTANDALONE $(subst -standalone.o,.cpp,$(FPSSERVER_OBJS))
+	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Imoviecube -DSTANDALONE $(subst -standalone.o,.cpp,$(MOVIESERVER_OBJS))
