=== debian/changelog ===
sandboxgamemaker (2.8.2+dfsg-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:42:31 +0000

sandboxgamemaker (2.8.2+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:29:59 +0200

sandboxgamemaker (2.8.2+dfsg-1) unstable; urgency=medium

  * New maintainer upload (Closes: #694990)
  * New Upstream Release
  * New Depends on wxwidgets 3.0 (Closes: #749835)
  * Fixed vcs fields in control file
  * Removed empty useless files in debian folder
  * Removed comments from man/sandbox_unix.6
  * Removed sandboxgamemaker.docs updated debian/copyright and README.debian
  * Removed debian/postrm debian/postinst
     - No longer installing non-free data with this package, so not required.

 -- Anthony F McInerney <afm404@gmail.com>  Fri, 01 Aug 2014 21:15:16 +0100
