=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: sandboxgamemaker
 Section: contrib/games
 Priority: optional
-Maintainer: Scott Howard <showard@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev (>= 1.3.1), po-debconf, libwxgtk2.8-dev
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anthony F McInerney <afm404@gmail.com>
+Build-Depends: debhelper (>= 9), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev (>= 1.3.1), po-debconf, libwxgtk3.0-dev
+Standards-Version: 3.9.5
 Homepage: http://sandboxgamemaker.com/
-Vcs-Browser: http://git.debian.org/?p=pkg-games/sandboxgamemaker.git
-Vcs-git: git://git.debian.org/git/pkg-games/sandboxgamemaker.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/sandboxgamemaker.git
+Vcs-git: git://anonscm.debian.org/pkg-games/sandboxgamemaker.git
 
 Package: sandboxgamemaker
 Architecture: any
