=== debian/watch ===
#Upstream uses a javascript to serve the download link, so watchfiles won't work
#visit www.sandboxgamemaker.com for more information
#Now it is on gamefront or other mirrors and completely removed from sandboxgamemaker.com
#version=3
